#!/bin/sh set -e # usage: ./plain.sh # Copyright 2019-2021 DistressNetwork° # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see . [ "$1" ] || { echo "usage: ./plain.sh " ; exit 1 ; } [ -f $1 ] || { printf "%s \tFATAL: %s not found\n" "[->]" "$1" ; exit 1 ; } [ -f plain-header ] || { printf "%s \tFATAL: plain-header not found\n" "[->]" ; exit 1 ; } cat plain-header > $2 cat $1 >> $2 printf "\n\n" >> $2 printf "[ok] \tinitial assembly\n" # hack to fix double
 when generating from nav.sh
sed -e "/^
$/ {n;/^
$/d}" -e "/^<\/pre>$/ {n;/^<\/pre>$/d}" -i'' $2


sedesc() {
	sed -e 's;\&;\\\&;' -e 's/;/\\\;/' -e 's;-->;;'
}

TITLE=$(grep -e '^